﻿Module Module1

  Const PEOPLE = 20

  Sub my_swap(ByRef x As String, ByRef y As String)
    Dim temp As String

    temp = x
    x = y
    y = temp
  End Sub

  Sub my_sort(a() As String, Optional ascending As Boolean = True)
    Dim m, n As Integer

    For m = 1 To PEOPLE - 1
      For n = PEOPLE - 1 To m Step -1
        If ascending = True Then
          If a(n).CompareTo(a(n - 1)) < 0 Then
            my_swap(a(n), a(n - 1))
          End If
        Else
          If a(n).CompareTo(a(n - 1)) > 0 Then
            my_swap(a(n), a(n - 1))
          End If
        End If
      Next
    Next
  End Sub

  Sub display_array(a() As String)
    Dim i As Integer

    For i = 0 To PEOPLE - 1
      Console.WriteLine(a(i))
    Next
  End Sub

  Sub Main()
    Dim i As Integer

    Dim names(PEOPLE - 1) As String
    For i = 0 To PEOPLE - 1
      Console.Write("Enter a name: ")
      names(i) = Console.ReadLine()
    Next

    my_sort(names)          'Sort names in ascending order
    display_array(names)    'and display them

    my_sort(names, False)   'Sort names in descending order
    display_array(names)    'and display them.

    Console.ReadKey()
  End Sub

End Module
