﻿Module Module1

  Const EVENTS = 20
  Const COUNTRIES = 10

  Sub Main()
    Dim j, i, needle, top, bottom, middle, row_index As Integer
    Dim found As Boolean

    Dim country_names(COUNTRIES - 1) As String
    Dim event_descriptions(EVENTS - 1, COUNTRIES - 1) As String
    Dim event_years(EVENTS - 1, COUNTRIES - 1) As Integer
    For j = 0 To COUNTRIES - 1
      Console.Write("Enter Country No. " & (j + 1) & ": ")
      country_names(j) = Console.ReadLine()
      For i = 0 To EVENTS - 1
        Console.Write("Enter description for event No. " & (i + 1) & ": ")
        event_descriptions(i, j) = Console.ReadLine()
        Console.Write("Enter year for event No. " & (i + 1) & ": ")
        event_years(i, j) = Console.ReadLine()
      Next
    Next

    Console.Write("Enter a year to search: ")
    needle = Console.ReadLine()
    row_index = -1

    For j = 0 To COUNTRIES - 1
      top = 0
      bottom = EVENTS - 1
      found = False
      Do While top <= bottom And found = False
        middle = (top + bottom) \ 2

        If event_years(middle, j) > needle Then
          bottom = middle - 1
        ElseIf event_years(middle, j) < needle Then
          top = middle + 1
        Else
          found = True
          row_index = middle
        End If
      Loop

      If found = False Then
        Console.WriteLine("No event found for country " & country_names(j))
      Else
        Console.WriteLine("Country: " & country_names(j))
        Console.WriteLine("Year: " & event_years(row_index, j))
        Console.WriteLine("Event: " & event_descriptions(row_index, j))
      End If
    Next

    Console.ReadKey()
  End Sub

End Module
